CREATE TABLE ego_rl_meta_data_queries (
    MODULE_ID                VARCHAR2(128) ,
    RULES_IMPLEMENTATION     VARCHAR2(80)  ,
    QUERY_TYPE               VARCHAR2(80)  ,
    CONTEXT_1                VARCHAR2(120) ,
    SQL_STATEMENT            CLOB              NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    RULES_IMPLEMENTATION     VARCHAR2(80)  ,
    QUERY_TYPE               VARCHAR2(80)  ,
    CONTEXT_1                VARCHAR2(120) ,
    SQL_STATEMENT            CLOB              NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ego_rl_meta_data_queries PRIMARY KEY (RULES_IMPLEMENTATION, QUERY_TYPE, CONTEXT_1, RULES_IMPLEMENTATION, QUERY_TYPE, CONTEXT_1)
);
